TAR(1)

NAAM
tar - een archivering hulpprogramma

SAMENVATTING

  Traditioneel gebruik
tar {A|c|d|r|t|u|x}[GnSkUWOmpsMBiajJzZhPlRvwo] [ARG...]

  UNIX-stijl gebruik

tar -A [OPTIES] ARCHIEF ARCHIEF

tar -c [-f ARCHIEF] [OPTIES] [BESTAND...]

tar -d [-f ARCHIEF] [OPTIES] [BESTAND...]

tar -t [-f ARCHIEF] [OPTIES] [LID...]

tar -r [-f ARCHIEF] [OPTIES] [BESTAND...]

tar -u [-f ARCHIEF] [OPTIES] [BESTAND...]

tar -x [-f ARCHIEF] [OPTIES] [LID...]

  GNU-stijl gebruik

tar {--catenate|--concatenate} [OPTIES] ARCHIEF ARCHIEF

tar --create [--file ARCHIEF] [OPTIES] [BESTAND...]

tar {--diff|--compare} [--file ARCHEF] [OPTIES] [BESTAND...]

tar --delete [--file ARCHIEF] [OPTIES] [LID...]

tar --append [-f ARCHIEF] [OPTIES] [BESTAND...]

tar --list [-f ARCHIEF] [OPTIES] [LID...]

tar --test-label [--file ARCHIEF] [OPTIES] [LABEL...]

tar --update [--file ARCHIEF] [OPTIES] [BESTAND...]

tar --update [-f ARCHIEF] [OPTIES] [BESTAND...]

tar {--extract|--get} [-f ARCHIEF] [OPTIES] [LID...]

OPMERKING
Deze man-pagina bevat een korte beschrijving van GNU tar. Voor een gedetailleerde discussie, inclusief voorbeelden en aanbevelingen over gebruik, verwijzen we naar de GNU Tar Handleiding beschikbaar in texinfo formaat. Als de info lezer en de tar documentatie correct op jouw systeem zijn geïnstalleerd, dan geeft het commando

    info tar

toegang tot de volledige handleiding.

U kunt de manual ook lezen door gebruik te maken van de info modus in emacs(1), of hem vinden in de diverse formaten online op

    http://www.gnu.org/software/tar/manual

Als er een verschil optreed tussen deze man-pagina en de GNU Tar Handleiding, dan dient de laatste beschouwd te worden als de bepalende bron.

BESCHRIJVING
GNU tar is een archivering programma ontworpen om meerdere bestanden in een enkel bestand op te slaan, en om zulke archieven te bewerken. Het archief kan een normaal bestand of apparaat zijn (b.v. een band apparaat, vandaar de naam van het programma, dat tape archiver betekent, die zich bevind op de lokale of een machine op afstand.

  Optie stijlen
Opties voor GNU tar kunnen bestaan uit drie verschillende stijlen. In de traditionele stijl, is het eerste argument een groep van optie letters en alle volgende argumenten geven argumenten aan die opties die zo nodig hebben. De argumenten worden gelezen in dezelfde volgorde als de optie letters. Elk commando dat resteert nadat alle opties zijn verwerkt worden behandeld als niet-optionele argumenten: bestandsnamen of namen van leden van archieven.

Bijvoorbeeld, de c optie zal een archief aanmaken, de v optie vraagt om veel informatie te geven, en de f optie vraagt om een argument van de naam van het archief om op te werken. Het volgende commando, geschreven in de traditionele stijl, instrueert tar om alle bestanden van de map /etc op te slaan in het archief bestand etc.tar daarbij uitgebreide informatie gevend over de bestanden die worden gearchiveerd:

    tar cfv etc.tar /etc

In UNIX of korte-optie stijl, is elke optie een letter voorafgegaan door een enkel verbindingsstreepje, net als in andere commando´s. Als een optie een argument nodig heeft, dan moet dat meteen volgen, ofwel als een apart commando woord, ofwel onmiddellijk na de optie. Echter, als een optie een optioneel argument nodig heeft, dan moet die onmiddellijk na de optie volgen, zonder een tussenliggende witruimte, net als in -g/tmp/snar.db.

Opties die geen argumenten nodig hebben mogen samen gegroepeerd worden na een enkel verbindingsstreepje, b.v. -vkp. Opties die argumenten nodig hebben (zowel verplicht als optioneel), mogen gegeven worden ná zulk een groep, b.v. -vkpf a.tar.

Het hierboven gegeven commando kan er in de korte-optie stijl uitzien als:

    tar -cvf etc.tar /etc
of
    tar -c -v -f etc.tar /etc

In GNU of lange-optie stijl begint elke optie met twee verbindingsstreepjes en heeft een betekenis volle naam, bestaande of kleine letters and streepjes. Indien die gebruikte wordt, kan de lange optie afgekort worden tot zijn initiële letter, mits dat geen ambiguïteit creëert. Argumenten voor lange opties worden gegeven als ofwel als een apart commando woord, onmiddellijk na de optie, ofwel gescheiden van de optie door een is-teken zonder tussen liggende witruimte. Optionele argumenten moeten altijd de laatste methode volgen.

Hier zijn verschillende manieren van het voorbeeld commando in deze stijl:

    tar --create --file etc.tar --verbose /etc
of (afkorten van sommige opties):
    tar --cre --file=etc.tar --verb /etc

De opties in alle drie de stijlen mogen gemengd worden, alhoewel dit niet wordt aangeraden voor oude opties.

  Bewerkingen
De opties in de tabel hieronder vertellen wat GNU tar moet doen. Precies één van deze moet opgegeven worden. De betekenis van niet-optionele argumenten hangt af van de opgegeven modus.

-A, --catenate, --concatenate
    Archief aan het eind van een ander archief toevoegen . De argumenten worden behandeld als de namen van de toe te voegen archieven. Alle archieven moeten van hetzelfde formaat zijn als het archief dat toegevoegd gaat worden, anders zou het resulterende archief mogelijk niet bruikbaar zijn voor niet-GNU implementaties van tar. Merk op dat wanneer meer dan een archief werd gegeven, de leden van de archieven anders dan de eerste, alleen toegankelijk zijn in het resulterende archief door gebruik van de optie -i (--ignore-zeros). Gecomprimeerde archieven kunnen niet geconcateneerd worden.

-c, --create
    Een nieuw archief creëren. Argumenten geven de namen van bestanden die gearchiveerd moeten worden. Mappen worden recursief gearchiveerd, behalve als de --no-recursion werd gebruikt.

-d, --diff, --compare
    De verschillen tussen archief en het bestandssysteem zoeken. De argumenten zijn optioneel en specificeren welke leden te vergelijken. Niet gegeven betekent dat de werkmap wordt gebruikt.

--delete
    Uit archief verwijderen. De argumenten geven de namen van leden die verwijderd moet worden. Minstens een argument moet opgegeven worden. Deze optie werkt niet op gecomprimeerde archieven. Er bestaat geen korte-optie equivalent.

-r, --append
    Bestanden toe voegen aan het einde van het archief. Argumenten hebben dezelfde betekenis als voor -c (--create).

-t, --list
    De inhoud van een archief tonen. Argumenten zijn optioneel. Indien opgegeven, dan specificeren ze de te tonen namen van leden.

--test-label
    Het volume label van het archief testen en stoppen. Indien gebruikt zonder argumenten dan toont het het volume label (als er een is) en stopt met de eind waarde 0. Indien een of meer argumenten werden gegeven dan vergelijkt tar het volume label met elk argument. Het stopt met code 0 als er een overeenkomst werd gevonden en anders met eind waarde 1. Er wordt geen uitvoer getoond, behalve in combinatie met de -v (--verbose) optie. Er is geen korte optie equivalent voor deze optie.

-u, --update
    Bestanden toe voegen indien deze nieuwer zijn dan de overeenkomstige bestanden in het archief. Argumenten hebben dezelfde betekenis als bij de -c en -r opties. Merk op dat nieuwere bestanden hun oude archief kopieën niet vervangen, maar in plaats daarvan toegevoegd worden aan het eind van het archief. Het resulterende archief kan dus meerdere leden met dezelfde naam bevatten, overeenkomende met de verschillende versies van hetzelfde bestand.

-x, --extract, --get
    Bestanden uit een archief extraheren. Argumenten zijn optioneel. Als gegeven dan specificeren ze de namen van leden die uitgepakt moeten worden.

--show-defaults
    Ingebouwde standaard waarden voor de verschillende tar opties tonen en stoppen. Er zijn geen argumenten toegestaan.

-?, --help
    De verkorte opties samenvatting tonen en stoppen. Argumenten zijn niet toegestaan.

--usage
    De lijst van beschikbare opties tonen en stoppen. Geen argumenten toegestaan.

--version
    Programma versie tonen en stoppen.

OPTIES

  Werkings aanpassers

--check-device
    Apparaat nummers controleren tijdens aanmaken van incrementele archieven (standaard).

-g, --listed-incremental=BESTAND
    Het nieuwe GNU-formaat voor incrementele reservekopieën gebruiken. BESTAND is de naam van de momentopname.bestand, waarin tar additionele informatie bewaard die gebruikt wordt om te beslissen welke bestanden werden veranderd sinds de vorige incrementele opslag en, die daarom nog een keer opgeslagen moet worden. Als BESTAND niet bestaat tijdens het aanmaken van archief, dan wordt het gemaakt en worden alle bestanden toegevoegd aan het resulterende archief (de niveau 0 opslag). Om incrementele archieven van niet-nul niveau N te maken: maak een kopie van het momentopname bestand zoals gecreëerd tijdens niveau N-1 en gebruikt het als BESTAND. Zowel bij tonen als uitpakken wordt de actuele inhoud van BESTAND niet bekeken, de inhoud is alleen nodig vanwege syntactische redenen. Daarom wordt in het dagelijkse gebruik /dev/null gebruikt in zijn plaats.

--hole-detection=METHODE
    METHODE gebruiken om gaten in ijle bestanden te detecteren. Deze optie impliceert --sparse. Geldige waarden voor METHODE zijn seek en raw. seek is standaard met terugval naar raw wanneer deze niet van toepassing is.

-G, --incremental
    Oude GNU-indeling van incrementele reservekopieën verwerken.

--ignore-failed-read
    Niet afsluiten met een foutcode bij onleesbare bestanden.

--level=NUMMER
    Opslag niveau instellen voor aangemaakte vermeldde-incrementele archieven. Momenteel is alleen --level=0 van betekenis: het instrueert tar om de momentopname af te kappen voor het opslaan, en tevens het 0 opslag niveau te forceren.

-n, --seek
    Aannemen dat het archief doorzoekbaar is. Normaliter bepaalt tar automatisch of een archief doorzocht kan worden of niet. Deze optie is bedoeld om te gebruiken in die gevallen waar die herkenning faalt. Het heeft alleen effect als het archief geopend is om te lezen (b.v. met de --list of --extract opties).

--no-check-device
    Geen apparaatnummers controleren tijdens aanmaken van incrementele archieven.

--no-seek
    Aannemen dat het archief niet doorzoekbaar is.

--occurrence[=AANTAL]
    Alleen het AANTALste voorkomen van elk bestand in het archief verwerken. Deze optie is alleen geldig in combinatie met een van de subopdrachten ----delete, --diff, --extract of --list én wanneer een lijst van bestanden gegeven is op de opdrachtregel of via optie -T. Standaard: AANTAL is 1

--restrict
    Het gebruik van potentieel gevaarlijke opties of opdrachten uitschakelen.

--sparse-version=HOOFD[.SUB]
    Versie van het ijle formaat instellen (impliceert --sparse). Deze optie impliceert --sparse. Geldige waarden voor de argumenten zijn 0.0, 0.1 en 1.0. Een gedetailleerde discussie over ijle formaten is te vinden in appendix D , "Sparse Formats" van de GNU Tar Manual. Bij gebruik van de info lezer kunt u het vinden m.b.v. het commando: info tar 'Sparse Formats'.

-S, --sparse
    IJle bestanden efficient behandelen. Sommige bestanden in het bestandssysteem hebben onbeschreven segmenten (vaak zijn dit database bestanden aangemaakt door DBM systemen. Als deze optie is gebruikt dan zal tar voor het archiveren proberen te bepalen of het bestand ijl is, en als dat zo is, dan zal het de grootte van resulterende archief beperken door de lege delen van het bestand niet op te slaan.

  Overschrijvingsopties
Deze opties bepalen acties van tar bij het uitpakken van een bestand uit een bestaande kopie op de schijf.

-k, --keep-old-files
    Bestaande bestanden bij het uitpakken niet overschrijven.

--keep-newer-files
    Bestaande bestanden die nieuwer zijn dan die in het archief niet vervangen.

--keep-directory-symlink
    Bestaande symbolische koppelingen naar mappen behouden bij het uitpakken.

--no-overwrite-dir
    Metagegevens van bestaande mappen behouden.

--one-top-level[=MAP]
    Pak alle bestanden uit in MAP, of, indien gebruikt zonder argument, in een submap genoemd naar de basis naam van het archief (minus de standaard compressie achtervoegsels, herkenbaar aan --auto-compress).

--overwrite
    Bestaande bestanden bij het uitpakken overschrijven.

--overwrite-dir
    De metagegevens van bestaande mappen bij het uitpakken overschrijven (standaard).

--recursive-unlink
    Alle bestanden in de map recursief verwijderen alvorens het archief uit te pakken

--remove-files
    Bestanden na hun toevoeging aan het archief verwijderen.

--skip-old-files
    Bij het uitpakken bestaande bestanden niet vervangen; stilletjes overslaan.

-U, --unlink-first
    Elk bestand verwijderen voor het uit te pakken.

-W, --verify
    Het archief na het schrijven verifiëren.

  Selecteren van uitvoerkanaal

--ignore-command-error

Eind waarden van dochter processen negeren.

--no-ignore-command-error
    Eind waarden van dochter processen die niet nul zijn als fout behandelen (standaard).

-O, --to-stdout
    Bestanden uitpakken naar standaard uitvoer.

--to-command=OPDRACHT
    Sluis uitgepakte bestanden door OPDRACHT. Het argument is de pad naam van een extern programma, optioneel met commando regel argumenten. Het programma wordt aangeroepen en de inhoud van een uitgepakt bestand wordt eraan aangeboden via de standaard invoer. Additionele data zal worden aangeboden via de volgende omgevingsvariabelen:

    TAR_FILETYPE
        Type van het bestand. Dit is een enkele letter met de volgende betekenis:

        	f	Normaal bestand
        	d	Map
        	l	Symbolische koppeling
        	h	Harde koppeling
        	b	Blok apparaat
        	c	Teken apparaat
        Momenteel worden alleen normale bestanden ondersteund.

    TAR_MODE
        Bestands modus, een octaal getal

    TAR_FILENAME
        De naam van het bestand.

    TAR_REALNAME
        Naam van het bestand zoals opgeslagen in het archief.

    TAR_UNAME
        Naam van de eigenaar van het bestand.

    TAR_GNAME
        Naam van de groep van het bestand.

    TAR_ATIME
        Tijd van de laatste toegang. Dit is een decimaal getal, dat het aantal seconden sinds de Epoch voorsteld. Als het archief tijden met nanoseconden precisie bevat, dan worden de nanoseconden achter de decimale punt van de tijdstempel toegevoegd.

    TAR_MTIME
        Tijd van de laatste wijziging.

    TAR_CTIME
        Tijd van de laatste status verandering.

    TAR_SIZE
        Grootte van het bestand.

    TAR_UID
        UID van de eigenaar van het bestand.

    TAR_GID
        GID van de eigenaar van het bestand.
    Bovendien bevatten de volgende variabelen informatie over de werking modus en het archief van wordt bewerkt van tar:

    TAR_VERSION
        GNU tar versie nummer.

    TAR_ARCHIVE
        De naam van het archief dat tar bewerkt.

    TAR_BLOCKING_FACTOR
        Huidige blok factor, m.a.w. het aantal 512-byte blokken in een record.

    TAR_VOLUME
        Ordinaal getal van het volume dat tar verwerkt (gezet bij het lezen vaneen multi-volume archief)

    TAR_FORMAT
        Indeling van het archief dat verwerkt wordt. Een van: gnu, oldgnu, posix, ustar, v7.

    TAR_SUBCOMMANDO
        Een korte optie (met voorafgaand streepje) die de operatie die tar uitvoert beschrijft.

  Behandeling van bestandskenmerken

--atime-preserve[=METHODE]
    Toegangstijdsstempels van gearchiveerde bestanden behouden, ofwel door het herstellen van de tijdsstempels na het lezen (MANIER=replace, ofwel of door de tijdstempels met rust te laten (MANIER=system)

--delay-directory-restore
    Uitstellen van het zetten van permissies en tijdstempels van uitgepakte mappen tot na het uitpakken. Gebruik deze optie om uit te pakken uit een archief met een ongebruikelijke ordening van leden.

--group=NAAM[:GID]
    Forceer NAAM als groep voor toegevoegde bestanden. Als GID niet opgegeven werd, dan kan NAAM ofwel een gebruikersnaam ofwel een numeriek GID zijn. In dit geval zal het ontbrekende deel (GID of naam) afgeleid worden van de groep database van het systeem. Indien gebruikt met --group-map=BESTAND, beïnvloed alleen die bestanden waarvan de groepseigenaar niet voorkomt in BESTAND.

--group-map=BESTAND
    Lees de groep vertaal tabel uit BESTAND. Lege regels worden genegeerd. Commentaar begint met het # teken en eindigt bij het einde van de regel. Elke niet lege regel in BESTAND bepaald de vertaling van een enkele groep. Die regel moet bestaan uit twee velden, gescheiden door elk aantal van witruimtes.
        OUDE_GROEP NIEUWE_GROEP[:NIEUW_GID]
    OUDE_GROEP is ofwel een geldige groep ofwel een GID voorafgegaan met +. Behalve als NIEUW_GID werd gegeven, moet NIEUWE_GROEP ofwel een geldige groepsnaam ofwel een +GID zijn. Anders hoeven zowel NIEUWE_GROEP als NIEUW_GID niet vermeld te worden in de groep database van het systeem. Het resultaat is dat elk invoer bestand met groep eigenaar OUDE_GROEP opgeslagen wordt in het archief met groep eigenaar NIEUWE_GROEP en GID NIEUW_GID.

--mode=WIJZIGINGEN
    Toegevoegde bestanden krijgen (symbolische) WIJZIGINGEN in hun modus.

--mtime=DATUM-OF-BESTAND
    Stel de mtime in voor toegevoegde bestanden. DATE-OR-FILE is ofwel een datum/tijd in bijna willekeurig formaat, of de naam van een bestand bestand. In het laatste geval zal de mtime van dat bestand gebruikt worden.

-m, --touch
    Bestandswijzigingstijden niet uitpakken.

--no-delay-directory-restore
    Het effect van de optie --delay-directory-restore ongedaan maken.

--no-same-owner
    Bestanden uitpakken als uzelf (standaard voor gewone gebruikers).

--no-same-permissions
    De umask van de gebruiker toepassen bij het uitpakken van bestandspermissies (standaard voor gewone gebruikers).

--numeric-owner
    Altijd getallen gebruiken voor gebruikers- en groepsnamen.

--owner=NAAM[:UID]
    Forceer NAAM als groep voor toegevoegde bestanden. Als UID niet opgegeven werd, dan kan NAAM ofwel een gebruikersnaam ofwel een numeriek UID zijn. In dit geval zal het ontbrekende deel (UID of naam) afgeleid worden van de groep database van het systeem. Indien gebruikt met --owner-map=BESTAND, dan worden alleen die bestanden beïnvloed waarvan de eigenaar niet voorkomt in BESTAND.

--owner-map=BESTAND
    Lees de eigenaar vertaal tabel uit BESTAND. Lege regels worden genegeerd. Commentaar begint met het # teken en eindigt bij het einde van de regel. Elke niet lege regel in BESTAND bepaald de vertaling van een enkele UID. Die regel moet bestaan uit twee velden, gescheiden door elk aantal van witruimtes.
        OUDE_EIGENAAR NIEUWE_EIGENAAR[:NIEUW_UID]
    OUDE_EIGENAAR is ofwel een geldige gebruiker ofwel een UID voorafgegaan met +. Behalve als NIEUW_UID werd gegeven, moet NIEUWE_EIGENAARP ofwel een geldige gebruiker ofwel een +UID zijn. Anders hoeven zowel NIEUWE_EIGENAARP als NIEUW_UID niet vermeld te worden in de gebruiker database van het systeem. Het resultaat is dat elk invoer bestand van gebruiker OUDE_EIGENAAR opgeslagen wordt in het archief onder gebruiker NIEUWE_EIGENAAR en UID NIEUW_UID.

-p, --preserve-permissions, --same-permissions
    bestandspermissies ook uitpakken (standaard voor root)

--same-owner
    Bestanden proberen uit te pakken met dezelfde eigenaar als in het archief (standaard voor root).

-s, --preserve-order, --same-order
    Uit te pakken namen sorteren zodanig dat ze overeenkomen met de volgorde in het archief.

--sort=VOLGORDE
    Bij het aanmaken van een archief, sorteer inschrijvingen in de map volgens VOLGORDE, dat een van none, name, of inode is. De standaard is --sort=none, dat slaat archief leden in dezelfde volgorde op zoals terug gegeven door het besturingssysteem. Gebruik van --sort=name zorgt ervoor dat de volgorde van leden in het gemaakte archief uniform en reproduceerbaar is. Gebruik van --sort=inode verminderd het aantal zoek operaties op de schijf die worden gemaakt bij het aanmaken van het archief en kan daarom het archiveren aanzienlijk versnellen. Deze sorteer volgorde wordt alleen ondersteund indien het onderliggende systeem de noodzakelijk informatie aanlevert.

  Uitgebreide bestandskenmerken

--acls
    Ondersteuning voor POSIX ACL's inschakelen.

--no-acls
    Ondersteuning voor POSIX ACL's uitschakelen.

--selinux
    Ondersteuning voor SELinux-contexten inschakelen.

--no-selinux
    Ondersteuning voor SELinux-contexten uitschakelen.

--xattrs
    Ondersteuning voor uitgebreide kenmerken inschakelen.

--no-xattrs
    Ondersteuning voor uitgebreide kenmerken uitschakelen.

--xattrs-exclude=PATROON
    Specificeert het uitsluit patroon van xattr sleutels. PATROON is een POSIX reguliere expressie, b.v. --xattrs-exclude='^user.' om attributen uit de gebruikersnaam ruimte uit te sluiten.

--xattrs-include=PATROON
    Patroon van in te sluiten xattr-sleutels. PATROON is een reguliere POSIX expressie.

  Apparaat selectie en -wisseling

-f, --file=ARCHIEF
    Gebruik het archief bestand of apparaat ARCHIEF. Als deze optie niet opgegeven werd, dan zal tar eerst de omgevingsvariable 'TAPE' bekijken. Als deze gezet is, dan zal zijn waarde gebruikt worden als archief naam. Anders zal tar de ingebouwde standaard gebruiken. De standaard waarde kan bekeken worden door gebruik van de --show-defaults optie, of aan het einde van de tar --help uitvoer. Een archief naam met een dubbele punt erin, specificeert een bestand of een apparaat op een andere computer. Het deel vóór de dubbele punt wordt geïnterpreteerd als computernaam of IP adres, en het deel achter de dubbele punt als bestand of apparaat padnaam, b.v.:
        --file=remotehost:/dev/sr0
    Een optionele gebruikersnaam mag voorafgegaan worden door een hostnaam, door er een @ tussen te plaatsen. Standaard kan de andere computer benaderd worden met het rsh(1) commando. Tegenwoordig is het gewoond om in plaats daarvan ssh(1) te gebruiken. U kunt dit ook doen met de volgende optie op de commando regel:
        --rsh-command=/usr/bin/ssh
    Op de andere computer moet het commando rmt(8) geïnstalleerd zijn. Als daarvan de padnaam niet overeenkomt met de standaard van tar, dan kunt u de juiste padnaam aan tar laten weten door gebruik van de --rmt-command optie.

--force-local
    Archiefbestand is lokaal, zelfs als het een dubbele punt bevat.

-F, --info-script=OPDRACHT, --new-volume-script=OPDRACHT
    Voer COMMANDO uit aan het eind van elke band (impliceert -M. Het commando mag argumenten bevatten. Bij de start zal het de omgeving van tar erven en daarenboven de volgende variabelen:

    TAR_VERSION
        GNU tar versie nummer.

    TAR_ARCHIVE
        De naam van het archief dat tar bewerkt.

    TAR_BLOCKING_FACTOR
        Huidige blok factor, m.a.w. het aantal 512-byte blokken in een record.

    TAR_VOLUME
        Ordinaal getal van het volume dat tar verwerkt (gezet bij het lezen vaneen multi-volume archief)

    TAR_FORMAT
        Indeling van het archief dat verwerkt wordt. Een van: gnu, oldgnu, posix, ustar, v7.

    TAR_SUBCOMMANDO
        Een korte optie (met voorafgaand streepje) die de operatie die tar uitvoert beschrijft.

    TAR_FD
        Bestands beschrijving die gebruikt kan worden om de nieuwe volume naam aan tar te laten weten.
    Als het info script faalt dan stopt tar; anders begint het het volgende volume te schrijven.

-L, --tape-length=N
    Verander band na het schrijven van Nx1024 bytes. Indien N gevolgd werd door een grootte achtervoegsel (zie subsectie Size suffixes hieronder), dan bepaald het achtervoegsel de vermenigvuldigingsfactor in plaats van 1024. Deze optie impliceert -M.

-M, --multi-volume
    Meerdelig archief aanmaken/opsommen/uitpakken.

--rmt-command=OPDRACHT
    Gebruik COMMANDO in plaats van rmt bij het benaderen van archieven op andere computers. Zie de beschrijving van de -f optie, hierboven.

--rsh-command=OPDRACHT
    Gebruik COMMANDO in plaats van rsh bij het benaderen van archieven op andere computers. Zie de beschrijving van de -f optie, hierboven.

--volno-file=BESTAND
    Indien deze optie gebruikt wordt samen met --multi-volume, dan zal tar bijhouden welk volume van een multi-volume archief het bewerkt in BESTAND.

  Blokverwerking

-b, --blocking-factor=BLOKKEN
    Stel de grootte van een record in op BLOKKENx512 bytes.

-B, --read-full-records
    Accepteer niet-complete invoer records na de einde-bestand markering bij tonen of uitpakkken

-i, --ignore-zeros
    Negeer blokken met nullen in het archief. Normaliter betekenen twee opeenvolgende 512-blokken gevuld met nullen EOF en tar stopt dan met lezen na deze tegen gekomen te zijn. Deze optie instrueert het om door te lezen en is nuttig bij het lezen van archieven die met de -A optie zijn aangemaakt.

--record-size=AANTAL
    Set de record grootte in. AANTAL is het aantal bytes per record. Het moet een meervoud zijn van 512. Het mag gevolgd worden door een grootte achtervoegsel, e.g. --record-size=10K, voor 10 Kilobytes. Zie de subsectie grootte achtervoegsel, voor een lijst met geldige achtervoegsels.

  Archiefindelingskeuze

-H, --format=FORMAAT
    een archief maken in het gekozen formaat. Geldige formaten zijn:

    gnu GNU-indeling van tar 1.13.x

    oldgnu
        GNU-indeling van tar <= 1.12.

    pax, posix
        POSIX 1003.1-2001 (pax-indeling).

    ustar
        POSIX 1003.1-1988 (ustar-indeling).

    v7  Oude V7 tar-indeling.

--old-archive, --portability
    Hetzelfde als --format=v7.

--pax-option=sleutelwoord[[:]=waarde][,sleutelwoord[[:]=waarde]]...
    Bepaal pax sleutelwoorden bij aanmaken van PAX archieven (-H pax). Deze optie is equivalent´ aan de -o van het pax(1) hulpprogramma.

--posix
    Hetzelfde als --format=posix.

-V, --label=TEKST
    Een archief met de volume naam TEKST maken; bij opsommen/uitpakken TEKST als zoekpatroon voor de volume naam gebruiken.

  Compressie-opties

-a, --auto-compress
    Compressieprogramma afleiden uit het archief achtervoegsel.

-I, --use-compress-program=OPDRACHT
    Filter data met behulp van COMMANDO. Dit moet de -d optie om te decomprimeren accepteren. Het argument mag commando regel opties bevatten.

-j, --bzip2
    Het archief door bzip2(1) filteren.

-J, --xz
    Het archief door xz(1) filteren.

--lzip
    Het archief door lzip(1) filteren.

--lzma
    Het archief door lzma(1) filteren.

--lzop
    Het archief door lzop(1) filteren.

--no-auto-compress
    Compressieprogramma niet afleiden uit archief achtervoegsel.

-z, --gzip, --gunzip, --ungzip
    Het archief door gzip(1) filteren.

-Z, --compress, --uncompress
    Het archief door compress(1) filteren.

--zstd
    Het archief door zstd(1) filteren.

  Lokale bestandskeuze

--add-file=BESTAND
    Het gegeven BESTAND aan het archief toevoegen (handig als de naam begint met een '-').

--backup[=MANIER]
    Reservekopie maken voor verwijderen. Het MANIER argument, indien gegeven, bepaalt het reservekopie beleid. Geldige waarden zijn:

    none, off
        Nooit reservekopieën maken.

    t, numbered
        Genummerde reservekopieën maken.

    nil, existing
        Genummerde reservekopieën maken als ze al bestaan, anders eenvoudige reservekopieën.

    never, simple
        Altijd eenvoudige reservekopieën maken
    Als MANIER niet werd opgegeven, dan zal de waarde van de VERSION_CONTROL omgevingsvariable genomen worden. Als hij niet is gezet dan wordt existing aangenomen.

-C, --directory=MAP
    Verander naar MAP voor het uitvoeren van elke bewerking. Deze optie is volgorde afhankelijk, m.a.w. hij beïnvloed alle volgende opties.

--exclude=PATROON
    Sluit bestanden die passen op PATROON uit, een glob(3)-stijl jokerteken patroon.

--exclude-backups
    Reservekopieën en vergrendelingsbestanden uitsluiten.

--exclude-caches
    Inhoud van mappen die CACHEDIR.TAG bevatten uitsluiten, behalve CACHEDIR.TAG zelf.

--exclude-caches-all
    Mappen die CACHEDIR.TAG bevatten uitsluiten, behalve CACHEDIR.TAG zelf.

--exclude-caches-under
    Alles onder mappen die CACHEDIR.TAG bevatten uitsluiten.

--exclude-ignore=BESTAND
    Voor dumpen van een map, kijk of hij BESTAND bevat. Als dit zo is, lees dan de uitsluit patronen van die bestand. De patronen beïnvloeden alleen de map zelf.

--exclude-ignore-recursive=BESTAND
    Gelijk aan --exclude-ignore, behalve dat patronen uit BESTAND zowel de map als zijn submappen beïnvloeden.

--exclude-tag=BESTAND
    Inhoud van mappen die BESTAND bevatten uitsluiten, behalve BESTAND zelf.

--exclude-tag-all=BESTAND
    Mappen die BESTAND bevatten uitsluiten.

--exclude-tag-under=BESTAND
    Alles onder de mappen die BESTAND bevatten uitsluiten.

--exclude-vcs
    Systeemmappen van versiebeheer uitsluiten.

--exclude-vcs-ignores
    Sluit bestanden uit die passen op patronen gelezen uit VCS-specifieke negeer bestanden. Ondersteunde bestanden zijn: .cvsignore, .gitignore, .bzrignore, en .hgignore.

-h, --dereference
    Symbolische koppelingen volgen; de bestanden waar ze naar verwijzen archiveren.

--hard-dereference
    Harde koppelingen volgen; de bestanden waar ze naar verwijzen archiveren.

-K, --starting-file=LID
    Begin bij dit LID van het archief

--newer-mtime=DATUM
    Bewerk bestanden waarvan de data is veranderd na DATUM. Als DATUM begint met / of . dan wordt deze aangezien voor een bestandsnaam; de mtime van dat bestand wordt dan gebruikt als de datum.

--no-null
    Het resultaat van de vorige --null-optie ongedaan maken.

--no-recursion
    Niet automatisch afdalen in mappen.

--no-unquote
    Geen aanhalingstekens verwijderen rond namen van invoerbestand of van leden.

--no-verbatim-files-from
    Behandel elke regel gelezen uit een lijst in een bestand alsof deze werd gegeven op de commando regel. M.a.w. voorafgaande of nakomende witruimtes worden verwijderd en, als de resulterende tekenreeks begint met een streepje dan wordt deze behandeld als een tar commando regel optie. Dit is standaard gedrag. De --no-verbatim-files-from optie is voorzien als een manier om het terug te zetten na de --verbatim-files-from optie. Die optie is optioneel: het beïnvloed alle --files-from opties die erna komen, tot aan de --verbatim-files-from optie of aan einde van de regel, welke het eerst voorkomt. Dit werd geïmpliceerd door de --no-null optie.

--null
    Instrueert volgende -T opties om met nul afgesloten namen letterlijk te lezen (schakelt speciale afhandeling van namen die beginnen met een streepje uit). Zie ook --verbatim-files-from.

-N, --newer=DATUM, --after-date=DATUM
    Sla alleen bestanden op die nieuwer zijn dan DATUM. Als DATUM begint met een / of . dan wordt deze aangezien voor een bestandsnaam; de mtime van dat bestand wordt dan gebruikt als de datum.

--one-file-system
    In het lokale bestandssysteem blijven bij maken van archief.

-P, --absolute-names
    Voorafgaande '/' niet uit bestandsnamen verwijderen bij aanmaken van archieven.

--recursion
    Recursief in mappen afdalen (standaard).

--suffix=TEKENREEKS
    Voor verwijderen een reservekopie maken. Met ~ als achtervoegsel, tenzij deze door de omgevingsvariable SIMPLE_BACKUP_SUFFIX werd veranderd.

-T, --files-from=BESTAND
    Namen van in of uit te pakken bestanden uit BESTAND halen. Behalve als anders opgegeven, BESTAND moet een lijst van bestanden bevatten gescheiden door ASCII LF (m.a.w. een naam per regel). De gelezen namen worden net zo behandeld als commando regel argumenten. Ze ondergaan het verwijderen van aanhalingstekens en opsplitsen van woorden, en elke tekenreeks die begint met - wordt gezien als een tar commando regel optie. Als dit gedrag niet gewenst is dan kan het worden uitgezet met de --verbatim-files-from optie. De --null optie instrueert tar dat namen in BESTAND zijn gescheiden door een ASCII NUL teken, in plaats van een LF. Dat is handig als de lijst werd gemaakt met het find(1) -print0 predicaat.

--unquote
    Aanhalingstekens verwijderen rond bestand of namen van leden (standaard).

--verbatim-files-from
    Behandelt elke regel verkregen van een bestandslijst als een bestandsnaam, zelfs als deze begint met een streepje. Bestandslijsten worden opgegeven met de --files-from (-T) optie. Het standaard gedrag is om de namen uit de opgegeven lijst te behandelen alsof ze werden getikt op de commando regel, m.a.w. alle namen die beginnen met een streepje worden gezien als tar opties. De --verbatim-files-from optie schakelt dit gedrag uit. Deze optie beïnvloed alle --files-from opties die hierna komen op de commando regel. Zijn effect wordt ongedaan gemaakt door de --no-verbatim-files-from optie. This option is implied by the --null optie. Zie ook --add-file.

-X, --exclude-from=BESTAND
    Sluit bestanden uit waarvan de patronen passen op die zoals opgesomd in BESTAND

  Bestandsnaam-transformaties

--strip-components=AANTAL
    Dit AANTAL leidende componenten uit bestandsnamen verwijderen.

--transform=EXPRESSIE, --xform=EXPRESSIE
    Deze vervangings-EXPRESSIE gebruiken om bestandsnamen met 'sed' te transformeren.

  Bestandsaanmaak-opties
Bestandsnaam selectie-opties (voor zowel in- als uitsluitingpatronen):

--anchored
    Patronen komen overeen met begin van bestandsnaam.

--ignore-case
    Verschil tussen hoofd- en kleine letters negeren.

--no-anchored
    Patronen komen overeen met alles na een / (is standaard bij uitsluiting).

--no-ignore-case
    Hoofdlettergevoelige vergelijking (standaard).

--no-wildcards
    Exacte tekenreeksvergelijking.

--no-wildcards-match-slash
    Jokertekens komen niet overeen met /.

--wildcards
    Jokertekens gebruiken (is standaard bij uitsluiting).

--wildcards-match-slash
    Jokertekens komen overeen met / (is standaard bij uitsluiting).

  Informatieve uitvoer

--checkpoint[=N]
    Voortgangsberichten tonen voor elk Nste record (standaard 10).

--checkpoint-action=ACTIE
    Bij elk controlepunt deze ACTIE uitvoeren.

--clamp-mtime
    Tijdsstempel alleen zetten wanneer het bestand recenter is dan wat gegeven is met '--mtime'.

--full-time
    Bestandstijden in volledige resolutie tonen.

--index-file=BESTAND
    Gedetailleerde uitvoer naar BESTAND sturen.

-l, --check-links
    Een bericht tonen als niet alle links gearchiveerd werden.

--no-quote-chars=TEKST
    De tekens in TEKST niet aanhalen.

--quote-chars=TEKST
    Ook de tekens in TEKST aanhalen.

--quoting-style=STIJL
    Stel aanhalingstekens stijl in voor bestands- en ledennamen. Geldige waarden voor STIJL zijn literal, shell, shell-always, c, c-maybe, escape, locale, clocale.

-R, --block-number
    Bloknummer binnen archief tonen bij elk bericht.

--show-omitted-dirs
    Bij opsommen of uitpakken: elke map opsommen die niet aan zoekcriteria voldoet.

--show-transformed-names, --show-stored-names
    Bestands- of archiefnamen na transformatie tonen door --strip en --transform opties.

--totals[=SIGNAAL]
    Na verwerking van het archief het totaal aantal bytes printen. Als een argument gegeven werd, dan het totaal aantal bytes printen als dit SIGNAAL ontvangen werd. Mogelijke signalen zijn: SIGHUP, SIGQUIT, SIGINT, SIGUSR1, en SIGUSR2. Het SIG voorvoegsel mag weg gelaten worden.

--utc
    Bestandswijzigingstijden in UTC tonen.

-v, --verbose
    Uitgebreid tonen van de lijst van bewerkte bestanden. Elke gebruik van deze optie op de commando regel verhoogt het niveau met een. Het maximum niveau is 3. Voor een gedetailleerde discussie over hoe de verschillende niveau´s de uitvoer van tar beïnvloeden, lees dan de GNU Tar Handleiding, subsectie 2.5.1 "De --verbose Optie".

--warning=SLEUTELWOORD
    Schakel waarschuwingsberichten geïdentificeerd door SLEUTELWOORD in of uit. De berichten worden onderdrukt als SLEUTELWOORD wordt voorafgegaan door no- anders ingeschakeld. Meerdere --warning berichten verzamelen. Sleutelwoorden die de algemene tar werking bepalen:

    all Schakel alle waarschuwingen in. Dit is de standaard.

    none
        Schakel alle waarschuwingen uit.

    filename-with-nuls
        "%s: gelezen bestandsnaam bevat een NUL-teken"

    alone-zero-block
        "Een los blok met nullen op %s"

    Sleutelwoorden van toepassing voor tar --create

    cachedir
        "%s: map bevat cache-markering %s; %s"

    file-shrank
        "%s: Bestand is gekrompen met %s byte; aangevuld met nullen"

    xdev
        "%s: bestand staat op een ander bestandssysteem; niet gearchiveerd"

    file-ignored
        "%s: Onbekende bestandssoort; bestand genegeerd"
        "%s: socket genegeerd"
        "%s: deur genegeerd"

    file-unchanged
        "%s: bestand is ongewijzigd; niet gearchiveerd"

    ignore-archive
        "%s: bestand is het archief zelf; niet gearchiveerd"

    file-removed
        "%s: Bestand werd verwijderd voordat het gelezen kon worden"

    file-changed
        "%s: bestand is gewijzigd tijdens het lezen"

    failed-read
        Onderdrukt waarschuwingen over niet leesbare bestande of mappen. Die sleutelwoord is alleen van toepassing indien het samen met de --ignore-failed-read optie gebruikt wordt.

    Sleutelwoorden van toepassing voor tar --extract

    existing-file
        "%s: bestaand bestand wordt overgeslagen"

    timestamp
        "%s: onwaarschijnlijk oud tijdsstempel %s"
        "%s: tijdsstempel %s ligt %s seconden in de toekomst"

    contiguous-cast
        "Aaneengesloten bestanden worden uitgepakt als gewone bestanden"

    symlink-cast
        "Poging om symbolische koppelingen als harde koppelingen uit te pakken..."

    unknown-cast
        "%s: Onbekende bestandssoort '%c'; uitgepakt als gewoon bestand"

    ignore-newer
        "Huidige %s is nieuwer of even oud"

    unknown-keyword
        "Genegeerd: onbekend sleutelwoord '%s' in uitgebreide kop"

    decompress-program
        Bepaalt uitgebreide beschrijving van fouten die optreden wanneer geprobeerd wordt om alternatieve decompressie programma´s uit te voeren. Deze waarschuwing is standaard uitgeschakeld (behalve als --verbose werd gebruikt. Een gebruikelijk voorbeeld van wat u kunt zien bij het optreden van deze waarschuwing is:
            $ tar --warning=decompress-program -x -f archive.Z
            tar (child): cannot run compress: No such file or directory
            tar (child): trying gzip
        Dit betekent dat tar eerst probeerde om archive.Z te decomprimeren door compress te gebruiken, en nadat dat faalde, gzip gebruikte.

    record-size
        "Recordgrootte = %lu blokken"

    Sleutelwoorden die incrementele extractie bepalen:

    rename-directory
        "%s: Map is hernoemd van %s"
        "%s: Map is hernoemd"

    new-directory
        "%s: Map is nieuw"

    xdev
        "%s: Map staat op een ander bestandssysteem; niet leeggemaakt"

    bad-dumpdir
        "Onjuiste archiveringsmap: 'X' is nergens gebruikt"

-w, --interactive, --confirmation
    Bij elke actie om toestemming vragen.

  Compatibiliteitsopties

-o  Bij aanmaken, hetzelfde als --old-archive. Bij uitpakken, hetzelfde als --no-same-owner.

  Grootte achtervoegsels.

	Achtervoegsel	Eenheid	Byte Equivalent
	b	Blokken	SIZE x 512
	B	Kilobytes	SIZE x 1024
	c	Bytes	SIZE
	G	Gigabytes	SIZE x 1024^3
	K	Kilobytes	SIZE x 1024
	k	Kilobytes	SIZE x 1024
	M	Megabytes	SIZE x 1024^2
	P	Petabytes	SIZE x 1024^5
	T	Terabytes	SIZE x 1024^4
	w	Woorden	SIZE x 2

EIND WAARDE
Tar eind code geeft aan of het de gevraagde operatie succesvol kon beëindigen, en indien niet, welke soort fout optrad.

0   Succesvolle beëindiging.

1   Sommige bestanden verschillen. Indien tar gestart werd met de --compare (--diff, -d) commando regel optie, betekent dit dat sommige bestanden in het archief verschillen van hun tegenhanger op de schijf. Als tar was gestart met een van --create, --append of --update opties, dan betekent deze eind code dat bestanden zijn verandert terwijl ze werden ingepakt en dat daarom het resulterende archief geen exacte kopie van de bestanden bevat.

2   Fatal error. Dit betekent dat een fatale, onoverkomelijke fout optrad.

Als een subproces dat werd gestart door tar eindigde met een niet-nul eind code, dan zal tar ook eindigen met deze code. Dit kan bij voorbeeld gebeuren, als een compressie optie (b.v. -z werd gebruikt en het externe compressie programma faalde. Een ander voorbeeld is het falen van rmt gedurende het backupen naar een andere computer.

ZIE OOK
bzip2(1), compress(1), gzip(1), lzma(1), lzop(1), rmt(8), symlink(7), xz(1), zstd(1).

De volledige tar handleiding: voer info tar uit of gebruikt emacs(1) info modus om het te lezen.

Online kopieën van de GNU tar documentatie in diverse formaten zijn te vinden op:

http://www.gnu.org/software/tar/manual

BUG RAPPORTEN
Rapporteer gebreken in het programma aan <bug-tar@gnu.org>; meld fouten in de vertaling aan <vertaling@vrijschrift.org>.

COPYRIGHT
Copyright © 2013-2019 Free Software Foundation, Inc.
Licentie GPLv3+: GNU GPL versie 3 of later <http://gnu.org/licenses/gpl.html>
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat. De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com> Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID. Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.